package com.ruoyi.quotation.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.math.BigDecimal;
import java.util.Arrays;
import java.util.Date;
import java.util.List;

/**
 * 海运价主对象 t_seaprice
 * 
 * @author ruoyi
 * @date 2021-06-01
 */
public class TSeaprice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long fId;

    /** 业务类型 */
    @Excel(name = "业务类型")
    private Long fBilltype;

    /** 船公司(客户表) */
    @Excel(name = "船公司(客户表)")
    private Long fCorpid;

    /** 客户名称 */
    private String fCorpName;

    /** 主表对应明细 */
    private List<TSeapriceitem> listTseapriceitem;

    public String getfCorpName() {
        return fCorpName;
    }

    public void setfCorpName(String fCorpName) {
        this.fCorpName = fCorpName;
    }

    /** 起运港ID */
    @Excel(name = "起运港ID")
    private Long polId;

    /** 目的港ID */
    @Excel(name = "目的港ID")
    private Long podId;

    /** 中转港ID */
    private Long fTransitPortId;

    /** 船期 */
    private String fSailingSchedule;

    /** 航程 */
    private Long fVoyage;

    public Long getfTransitPortId() {
        return fTransitPortId;
    }

    public void setfTransitPortId(Long fTransitPortId) {
        this.fTransitPortId = fTransitPortId;
    }

    public String getfSailingSchedule() {
        return fSailingSchedule;
    }

    public void setfSailingSchedule(String fSailingSchedule) {
        this.fSailingSchedule = fSailingSchedule;
    }

    public Long getfVoyage() {
        return fVoyage;
    }

    public void setfVoyage(Long fVoyage) {
        this.fVoyage = fVoyage;
    }

    /** 有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fValiddate;

    /** 开航日开始时间 */
    private String fValiddateBegin;
    /** 开航日结束时间 */
    private String fValiddateEnd;

    public String getfValiddateBegin() {
        return fValiddateBegin;
    }

    public void setfValiddateBegin(String fValiddateBegin) {
        this.fValiddateBegin = fValiddateBegin;
    }

    public String getfValiddateEnd() {
        return fValiddateEnd;
    }

    public void setfValiddateEnd(String fValiddateEnd) {
        this.fValiddateEnd = fValiddateEnd;
    }

    /** 校验时间戳 */
    private String fDateChanged;

    /** 状态(0有效1无效) */
    @Excel(name = "状态(0有效1无效)")
    private Long fBillstatus;

    /** 删除状态 */
    private String delFlag;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 折合后的rmb */
    private BigDecimal rmb;

    /** 筛选条件箱类型 */
    private String fSpecification;

    /** 箱量 */
    private Long fQty;

    /** 类型 */
    private String fType;

    /** 海运费 */
    private BigDecimal shippingFee;

    /** 汇率 */
    private BigDecimal exrate;

    /** 需要删除的规则表 */
    private Long[] deleteItem0;

    /** 需要删除的固定费用表 */
    private Long[] deleteItem1;

    /** 需要删除的固定费用表 */
    private List<String> validdateList;

    //新增字段20210708 dongyongwei begin
    /** 航线ID */
    private String fLineid;

    /** 订舱代理ID */
    private String fBookagentid;

    /** 航线名称 */
    private String fLineName;

    /** 订舱代理名称 */
    private String fBookagentName;

    public String getfLineName() {
        return fLineName;
    }

    public void setfLineName(String fLineName) {
        this.fLineName = fLineName;
    }

    public String getfBookagentName() {
        return fBookagentName;
    }

    public void setfBookagentName(String fBookagentName) {
        this.fBookagentName = fBookagentName;
    }

    public String getfLineid() {
        return fLineid;
    }

    public void setfLineid(String fLineid) {
        this.fLineid = fLineid;
    }

    public String getfBookagentid() {
        return fBookagentid;
    }

    public void setfBookagentid(String fBookagentid) {
        this.fBookagentid = fBookagentid;
    }

    //新增字段20210708 dongyongwei end

    public void setfId(Long fId) 
    {
        this.fId = fId;
    }

    public Long getfId() 
    {
        return fId;
    }
    public void setfBilltype(Long fBilltype) 
    {
        this.fBilltype = fBilltype;
    }

    public Long getfBilltype() 
    {
        return fBilltype;
    }
    public void setfCorpid(Long fCorpid) 
    {
        this.fCorpid = fCorpid;
    }

    public Long getfCorpid() 
    {
        return fCorpid;
    }
    public void setPolId(Long polId) 
    {
        this.polId = polId;
    }

    public Long getPolId() 
    {
        return polId;
    }
    public void setPodId(Long podId) 
    {
        this.podId = podId;
    }

    public Long getPodId() 
    {
        return podId;
    }
    public void setfValiddate(Date fValiddate) 
    {
        this.fValiddate = fValiddate;
    }

    public Date getfValiddate() 
    {
        return fValiddate;
    }
    public void setfBillstatus(Long fBillstatus)
    {
        this.fBillstatus = fBillstatus;
    }

    public Long getfBillstatus()
    {
        return fBillstatus;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }

    public Long[] getDeleteItem0() {
        return deleteItem0;
    }

    public void setDeleteItem0(Long[] deleteItem0) {
        this.deleteItem0 = deleteItem0;
    }

    public Long[] getDeleteItem1() {
        return deleteItem1;
    }

    public void setDeleteItem1(Long[] deleteItem1) {
        this.deleteItem1 = deleteItem1;
    }

    public String getfSpecification() {
        return fSpecification;
    }

    public void setfSpecification(String fSpecification) {
        this.fSpecification = fSpecification;
    }

    public Long getfQty() {
        return fQty;
    }

    public void setfQty(Long fQty) {
        this.fQty = fQty;
    }

    public BigDecimal getShippingFee() {
        return shippingFee;
    }

    public void setShippingFee(BigDecimal shippingFee) {
        this.shippingFee = shippingFee;
    }

    public BigDecimal getExrate() {
        return exrate;
    }

    public void setExrate(BigDecimal exrate) {
        this.exrate = exrate;
    }

    public String getfType() {
        return fType;
    }

    public void setfType(String fType) {
        this.fType = fType;
    }

    public String getfDateChanged() {
        return fDateChanged;
    }

    public void setfDateChanged(String fDateChanged) {
        this.fDateChanged = fDateChanged;
    }

    public List<String> getValiddateList() {
        return validdateList;
    }

    public void setValiddateList(List<String> validdateList) {
        this.validdateList = validdateList;
    }

    public BigDecimal getRmb() {
        return rmb;
    }

    public void setRmb(BigDecimal rmb) {
        this.rmb = rmb;
    }

    @Override
    public String toString() {
        return "TSeaprice{" +
                "fId=" + fId +
                ", fBilltype=" + fBilltype +
                ", fCorpid=" + fCorpid +
                ", polId=" + polId +
                ", podId=" + podId +
                ", fValiddate=" + fValiddate +
                ", fDateChanged='" + fDateChanged + '\'' +
                ", fBillstatus=" + fBillstatus +
                ", delFlag='" + delFlag + '\'' +
                ", remarks='" + remarks + '\'' +
                ", fSpecification='" + fSpecification + '\'' +
                ", fQty=" + fQty +
                ", fType='" + fType + '\'' +
                ", shippingFee=" + shippingFee +
                ", exrate=" + exrate +
                ", deleteItem0=" + Arrays.toString(deleteItem0) +
                ", deleteItem1=" + Arrays.toString(deleteItem1) +
                ", validdateList=" + validdateList +
                '}';
    }
}
